Subject: Re: [PATCH 0/6] rebase --update-refs: smooth out some rough edges

From: SZEDER Gábor <[email-masked]>
Date: Sat, 1 Oct 2022 18:31:05 +0200

On Fri, Sep 30, 2022 at 01:29:58PM -0400, Derrick Stolee wrote:
> On 9/30/2022 10:09 AM, SZEDER Gábor wrote:
> > A couple of cleanups and fixes to a new 'git rebase --update-refs' feature
> > introduced in the current release cycle.

> Junio: I don't think any of this needs to rush into v2.38.0, since
> they are mostly cosmetic changes and helping users get out of bad
> situations.

I do think that we shouldn't have a release where an 'update-ref'
instruction can update anything outside the refs/ hierarchy, so we
don't have to worry about potential backwards incompatibility when we
restrict it later or add DWIMery.